org.jbpm.services.task.assignment.impl

## Class TotalCompletionTimeLoadCalculator

- java.lang.Object
- - org.jbpm.services.task.assignment.impl.AbstractLoadCalculator
  - - org.jbpm.services.task.assignment.impl.TotalCompletionTimeLoadCalculator

- All Implemented Interfaces:
    LoadCalculator

      public class TotalCompletionTimeLoadCalculator
      extends AbstractLoadCalculator

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.assignment.impl.AbstractLoadCalculator

      `loadCalculatorIdentifier`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TotalCompletionTimeLoadCalculator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Long` | `getTimeToLive()` Getter that returns the "time to live" for the cache containing task's average duration
    `UserTaskLoad` | `getUserTaskLoad(org.kie.api.task.model.User user, org.kie.api.task.TaskContext context)`
    `Collection<UserTaskLoad>` | `getUserTaskLoads(List<org.kie.api.task.model.User> users, org.kie.api.task.TaskContext context)`

    - ### Methods inherited from class org.jbpm.services.task.assignment.impl.AbstractLoadCalculator

      `getIdentifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TotalCompletionTimeLoadCalculator

          public TotalCompletionTimeLoadCalculator()

  - ### Method Detail

    - #### getUserTaskLoad

          public UserTaskLoad getUserTaskLoad(org.kie.api.task.model.User user,
                                              org.kie.api.task.TaskContext context)

    - #### getUserTaskLoads

          public Collection<UserTaskLoad> getUserTaskLoads(List<org.kie.api.task.model.User> users,
                                                           org.kie.api.task.TaskContext context)

    - #### getTimeToLive

          public static Long getTimeToLive()

      Getter that returns the "time to live" for the cache containing task's average duration
      Returns:

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.